@import url("/fonts/bootstrap-icons.css");
@font-face {
    font-family: banner;
    src: url("/fonts/special-elite.regular.ttf");
    font-display: swap
  }

@font-face {
    font-family: heading;
    /*src: url("/fonts/cutiful.regular.otf");*/
    src: url("/fonts/lato.light.ttf");
    font-display: swap
  }

@font-face {
  font-family: body;
  src: url("/fonts/lato.light.ttf");
  font-display: swap
}

* {
    font-family: 'body';
}

h1, h2, h3, h4 {
    font-family: 'heading','body', sans-serif;
}

.btn-primary {
    background-color: #0075f2;
    font-weight: 600;
}

.btn-secondary {
    background-color: #646e68;
}
.btn-success {
    background-color: #20bf55;
    border-color: #17ad49;
    font-weight: 600;
}
.btn-success:hover {
    background-color: #018e42;
    border-color: #018e42;
}
.bg-secondary {
    background-color: #646e68;
}

.btn-danger {
    background-color: #b20d30;
    border-color: #b20d30;
    font-weight: 600;
}

.btn-danger:hover {
    background-color: #660000;
    border-color: #660000;
}

.bg-dark-blue {
    background-color: #003366;
}

.banner {
    background-image: url("/images/banner.webp");
    height: 80vh;
    width: 100%;
    z-index: 99;
    /*background-color: rgba(0, 0, 0, 0.3);*/
    background-color: rgba(0, 51, 102, 0.5);
    background-blend-mode: multiply;
    background-size: cover;
    background-attachment: scroll;
    background-position: top;

}



.banner-text {
    width: 50%;
}

.banner-text h1 {
    color: whitesmoke;
}

/* Single Page */
.single-content {
    margin-top: 150px;
    min-height: 70vh;
}

img.single-img {
    display: block;
    width: 50%;
    margin: 0 auto;
}

.miereptprosti {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    height: 0;
    width: 0;
    z-index: -1;
}

.interest {
    width: 17%;
    border-radius: 7px;
    transition: 0.5s ease;
}

.interest:hover {
    box-shadow: 5px 10px 18px #888888;
}
/* Search-page */
#search-banner {
    background-image: url("/images/banner.webp");
    height: 40vh;
    width: 100%;
    z-index: 99;
    background-color: rgba(0, 0, 0, 0.3);
    background-blend-mode: multiply;
    background-size: cover;
    background-attachment: fixed;
    background-position: center;

}

#currency-banner {
    background-image: url("/images/currency.webp");
    height: 40vh;
    width: 100%;
    z-index: 99;
    background-color: rgba(0, 0, 0, 0.3);
    background-blend-mode: multiply;
    background-size: cover;
    background-attachment: fixed;
    background-position: center right;

}

.full-map#map {
    height: 100vh;
    width: 100%;
    position: fixed;
}

#terms h1, #terms h2, #terms h3, #terms h4 {
        font-family: 'body';
}

/* Language Toggle */
.changeLang {
    position: absolute;
    top: 5em;
    right: 10px;
    width: 150px;
    overflow: hidden;
    margin: 0;
    z-index: 1;
}

/* Progress Bar */
.bar {
    background-color: aqua;
}

.percent {
    position: absolute;
    left: 50%;
    color: black;
}

@media (max-width: 992px) {

    .banner, #search-banner, #currency-banner, .single-banner {
        background-attachment: scroll;
    }
    .interest {
        /*width: 17%;*/
        width: 30%;
        border-radius: 7px;
        transition: 0.5s ease;
    }
    img.single-img {
        width: 70%;
    }

    .single-content img {
        width: 60%;
    }
}

@media (max-width: 659px) {
    .banner {
        height: 60vh;
    }

    .interest {
        /*width: 17%;*/
        width: 47%;
        border-radius: 7px;
        transition: 0.5s ease;
    }
    img.single-img {
        width: 80%;
    }

    .single-content img {
        width: 90%;
    }
}

/* user auth */
.ctr-div {
    position: absolute;
    top: 50%;
    left: 45%;
    transform: translate(-50%, -50%);
    min-width: 600px;
}

/* Admin */

.adm-sidebar {
    width: 250px;
    height: 100%;
    position: fixed;
}

.adm-content {
    margin-left: 250px;
    padding: 3em;
}

@media (max-width: 992px) {
    .adm-content {
        margin: 0;
    }
}
